#
#  lndir:  The C Program!
#
#  Copyright (c) 1993 by Salvatore Valente <svalente@athena.mit.edu>
#
#  You can freely distribute this program.  There is no warranty.
#  See the file "COPYING" for more information.
#

PROG	= lndir
OBJS	= lndir.o queue.o
CC	= @CC@
CFLAGS	= -O @DEFS@
LDFLAGS	=

prefix	= /mit/sipb

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

.c.o:
	$(CC) $(CFLAGS) -c $*.c

config.h: config.h.in
	sh configure

install: all
	strip $(PROG)
	cp $(PROG) $(prefix)/bin
	cp $(PROG).1 $(prefix)/man/man1

clean:
	rm -f $(PROG) *.o *~

distclean: clean
	rm -f Makefile config.status config.h
